> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scholarai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add papers to project

> Accept a PDF url or multipart form-data containing a file, and add it to the user's project in the database. If no project is specified, add it to a project named "GPT"



## OpenAPI

````yaml post /api/add_to_project
openapi: 3.1.0
info:
  title: No title
  version: No version
servers:
  - url: https://api.scholarai.io
security:
  - ApiKeyAuth: []
tags:
  - name: Api
paths:
  /api/add_to_project:
    post:
      tags:
        - Api
      summary: Add papers to project
      description: >-
        Accept a PDF url or multipart form-data containing a file, and add it to
        the user's project in the database. If no project is specified, add it
        to a project named "GPT"
      operationId: post_api_add_to_project
      parameters:
        - in: query
          name: project_id
          description: The project ID to which the items are being added. Default to 'gpt'
          schema:
            type: string
          required: false
        - in: query
          name: project_name
          description: >-
            The project name to which the items are being added. Alternative to
            project_id
          schema:
            type: string
          required: false
        - in: query
          name: paper_id
          description: >-
            Identifier of the paper to add, must be of the format
            <identifier_type>:<identifier_value>. Identifier type can be one of
            DOI, PMID, SS_ID, ARXIV, MAG, ACL, or PMCID.
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PaperMetadataResponse'
          description: OK
components:
  schemas:
    PaperMetadataResponse:
      type: object
      properties:
        title:
          type: string
        authors:
          type: array
          items:
            type: string
        abstract:
          type: string
          description: >-
            The abstract of this paper. Agentic endpoints may not have this
            entry.
        publication_date:
          type: string
        cited_by_count:
          type: integer
        url:
          type: string
          format: url
        ss_id:
          type: string
          description: Semantic Scholar ID
        doi:
          type: string
          description: Digital Object Identifier
        answer:
          type: string
          description: >-
            Answer to the user query based on the information from this paper.
            Only available if generative_mode is set to true.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: x-scholarai-api-key
      in: header

````